<?php
saxue_includedb();
class saxuemembermenu extends saxueobjectdata {
		function saxuemembermenu() {
				$this -> initvar( "menuid", SAXUE_TYPE_INT, 0, "菜单ID", false, 4 );
				$this -> initvar( "pid", SAXUE_TYPE_INT, 0, "上级菜单ID", false, 4 );
				$this -> initvar( "listorder", SAXUE_TYPE_INT, 0, "菜单排序", false, 4 );
				$this -> initvar( "level", SAXUE_TYPE_INT, 1, "菜单等级", false, 1 );
				$this -> initvar( "caption", SAXUE_TYPE_TXTBOX, "", "菜单标题", false, 50 );
				$this -> initvar( "command", SAXUE_TYPE_TXTBOX, "", "菜单链接", false, 100 );
				$this -> initvar( "display", SAXUE_TYPE_INT, 1, "是否显示", false, 1 );
		} 
} 

class saxuemembermenuhandler extends saxueobjecthandler {
		function saxuemembermenuhandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "membermenu";
				$this -> autoid = "menuid";
				$this -> dbname = "member_menu";
		} 
}